Bug 177827 - Review Request: python-ctypes - Advanced Foreign Function Interface for Python
Review Request: python-ctypes - Advanced Foreign Function Interface for Python
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Toshio Kuratomi
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-01-14 20:15 EST by Konstantin Ryabitsev
Modified: 2011-02-03 14:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-16 18:22:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Konstantin Ryabitsev 2006-01-14 20:15:11 EST
Spec Name or Url: http://rakta.wsg.mcgill.ca/fe/python-ctypes.spec
SRPM Name or Url: http://rakta.wsg.mcgill.ca/fe/python-ctypes-0.9.6-1.src.rpm
Description:
ctypes is an advanced ffi (Foreign Function Interface) package for
Python 2.3 and higher.
ctypes allows to call functions exposed from dlls/shared libraries
and has extensive facilities to create, access and manipulate
simple and complicated C data types in Python - in other words:
wrap libraries in pure Python.  It is even possible to implement C
callback functions in pure Python.
Comment 1 Ed Hill 2006-01-29 17:42:25 EST
Hi Konstantin, I tried to download the SRPM but the machine doesn't 
fully respond.  Running wget results in an indefinite wait.  The 
machine is ping-able though, so its at least plugged in...
Comment 2 Toshio Kuratomi 2006-03-03 23:50:43 EST
ping.

(URLs are still inaccessible.)
Comment 3 Konstantin Ryabitsev 2006-03-04 00:26:26 EST
My apologies! I've had to firewall off that machine according to the McGill
policies. Here are the new locations:

http://open.mcgill.ca/~icon/fe/python-ctypes-0.9.6-1.src.rpm
http://open.mcgill.ca/~icon/fe/python-ctypes.spec
Comment 4 Toshio Kuratomi 2006-03-04 15:02:12 EST
Thanks!  The spec looks sane enough but there's a new upstream version.  Do you
want me to start reviewing this version or do you want to update first?
Comment 5 Paul Nasrat 2006-04-26 14:43:55 EDT
Konstantin- are you interested in updating to 0.9.9.6 (not sure is it a devevl
version or stable)?
http://prdownloads.sourceforge.net/ctypes/ctypes-0.9.9.6.tar.gz?download

Toshio are you still interested in reviewing?

This will be in python 2.5 so it might be nice to have it in Extras beforehand.
Comment 6 Toshio Kuratomi 2006-04-26 15:35:44 EDT
Paul: If you're volunteering to review if I say I'm too busy, I'll gladly let
you take over :-)  Otherwise, I can free up some weekend time to work on reviewing.
Comment 7 Paul Nasrat 2006-04-26 15:40:48 EDT
I'm happy to review this.
Comment 8 Konstantin Ryabitsev 2006-04-26 23:46:28 EDT
I'm currently seriously swamped at work. If someone wants to take over this one
for me, I'd be more than happy to give up the reigns. :)
Comment 9 Toshio Kuratomi 2006-04-27 12:11:36 EDT
Hmmm Paul - do you want to take over packaging and I'll review?  I'm only
swamped with work, not seriously swamped :-)
Comment 11 Toshio Kuratomi 2006-05-01 14:01:53 EDT
Hey Paul -- your srpm is only 4096 bytes so there's something wrong.
Comment 12 Paul Nasrat 2006-05-01 15:10:11 EDT
Should be better now - sha1sum:

f7a7efac9246e3195a6fdb39a10d84d5ed6ff6e6  python-ctypes-0.9.9.6-1.src.rpm
Comment 13 Toshio Kuratomi 2006-05-13 02:08:50 EDT
APPROVED

SHA1SUM:
f7a7efac9246e3195a6fdb39a10d84d5ed6ff6e6  python-ctypes-0.9.9.6-1.src.rpm
831a731eebf8950a3dd3eb4cc18dbde8c7a859f5  ctypes-0.9.9.6.tar.gz
20edf3c22969a49e6f0bdff9f321e303fa4928e7  python-ctypes.spec

Informational:
* Note that the CFLAGS=$RPM_OPT_FLAGS definition doesn't seem to do anything
  for this package.  There's no harm in having it but the CFLAGS are
  actually being pulled in from python, not from the environment.

Good:
* All review guidelines passed.  Highlights follow:
* rpmlint has no output.
* python-ctypes conforms to the naming guidelines.
* License is MIT and included.
* The spec file is clear and legible.
* Source matches upstream.
* Builds on x86_64.
* Permissions set properly on all files.
* No extraneous directories; no unowned files or directories.
* Builds in mock.
* Runs through its test suite on x86_64.
Comment 14 Toshio Kuratomi 2006-05-13 02:11:58 EDT
Nice job nasrat and icon.  Sorry it took me so long to finish the review.
Comment 15 Warren Togami 2006-05-15 15:27:53 EDT
Please reassign this bug to the actual reviewer.
Comment 16 Jesse Keating 2007-12-21 10:51:52 EST
Package Change Request
======================
Package Name: python-ctypes
New Branches: EL-5
Updated EPEL Owners: jkeating
Comment 17 Kevin Fenzi 2007-12-21 14:38:54 EST
cvs done.
Comment 18 Matt Domsch 2011-02-03 10:33:49 EST
Package Change Request
======================
Package Name: python-ctypes
New Branches: el4
Owners: mdomsch mebrown
Comment 19 Kevin Fenzi 2011-02-03 14:49:48 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.